#include <Wire.h>
#include <Adafruit_SI1145.h>

Adafruit_SI1145 uv = Adafruit_SI1145();

const int motorPin = A8;

void setup() {
pinMode(motorPin, OUTPUT);

Serial.begin(9600);
  
Serial.println("Adafruit SI1145 test");
  
  if (! uv.begin()) {
    Serial.println("Didn't find Si1145");
    while (1);
  }

Serial.println("OK!");

}

void loop() {
digitalWrite(motorPin, HIGH);
delay(1000);
digitalWrite(motorPin, LOW);
delay(2000);

 Serial.println("===================");
  Serial.print("Vis: "); Serial.println(uv.readVisible());
  Serial.print("IR: "); Serial.println(uv.readIR());
  
  

  float UVindex = uv.readUV();
  // the index is multiplied by 100 so to get the
  // integer index, divide by 100!
  UVindex /= 100.0;  
  Serial.print("UV: ");  Serial.println(UVindex);

    if ((UVindex >= 0) && (UVindex <= 0.03)){
         Serial.println("Normal sun");
         digitalWrite(motorPin, HIGH);
         delay(1000);
         digitalWrite(motorPin, LOW);
         delay(2000);         
    }
    else if ((UVindex >= 0.08) && (UVindex <= 0.2)){
         Serial.println("TOO MUCH sun");
         digitalWrite(motorPin, HIGH);
         delay(5000);
        digitalWrite(motorPin, LOW);
        delay(1000);
    }
    else {
        Serial.println("else sun");
    }
  delay(1000);
}
